using AbstractFoodOrdersContracts.BindingModels;
using AbstractFoodOrdersContracts.SearchModels;
using AbstractFoodOrdersContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AbstractFoodOrdersContracts.StoragesContracts
{
	public interface IMessageInfoStorage
	{
		List<MessageInfoViewModel> GetFullList();
		List<MessageInfoViewModel> GetFilteredList(MessageInfoSearchModel model);
		MessageInfoViewModel? GetElement(MessageInfoSearchModel model);
		MessageInfoViewModel? Insert(MessageInfoBindingModel model);
	}
}
